As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 727120 - [Page Thumbnails] Don't store thumbnail image in disk cache folder
: [Page Thumbnails] Don't store thumbnail image in disk cache folder
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Dão Gottwald [:dao]
Mentors:
Depends on:
Blocks: 497543
  Show dependency treegraph
 
Reported: 2012-02-14 09:36 PST by dindog
Modified: 2012-05-08 11:36 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image dindog 2012-02-14 09:36:42 PST
I think the thumbnail image should store in other place like jumplist icon of Win7 rather than disk cache folder.

These users will lost their thumbnail image at Firefox start-up
 1)purging cache when Firefox exit
 2)those who disables disk cache, and uses memory instead
 3)some "cleaner" soft just take cache as useless temp files and delete them.

The new tab page meant to give an easy accessibility of frequency sites, apparent that is not the case with blank thumbnail at start-up.


I don't know the exact proportion of users will do the above regularly, but minority counts too.
Comment 1 User image Tim Taubert [:ttaubert] 2012-02-16 03:38:13 PST
(In reply to dindog from comment #0)
> These users will lost their thumbnail image at Firefox start-up
>  1)purging cache when Firefox exit

We're thinking about implementing a 'pin' mechanism for items in the cache (bug 716949).

>  2)those who disables disk cache, and uses memory instead

No idea why people would do that but alas, there is a pref and a bunch of add-ons seem to flip it *sigh*. That's bug 724408.

>  3)some "cleaner" soft just take cache as useless temp files and delete them.

We can't and I don't think we should work around some 3rd party software messing around in our profiles (thought it's valid point by itself).
Comment 2 User image Tim Taubert [:ttaubert] 2012-02-16 03:41:08 PST
(In reply to Tim Taubert [:ttaubert] from comment #1)
> >  3)some "cleaner" soft just take cache as useless temp files and delete them.
> 
> We can't and I don't think we should work around some 3rd party software
> messing around in our profiles (thought it's valid point by itself).

Resolving as WONTFIX.
Comment 3 User image dindog 2012-02-16 04:47:02 PST
(In reply to Tim Taubert [:ttaubert] from comment #1)
> >  2)those who disables disk cache, and uses memory instead
> 
> No idea why people would do that but alas, there is a pref and a bunch of
> add-ons seem to flip it *sigh*. That's bug 724408.

...perhaps because we offer that pref? In privacy setting, user can clear cache at shutdown.
Comment 4 User image Danial Horton 2012-05-06 22:28:00 PDT
I think the status of this needs to be changed now thatt he thumbnails actually have their own folder, albeit, currently in the wrong profile location.
Comment 5 User image Tim Taubert [:ttaubert] 2012-05-07 03:26:09 PDT
Fixed by bug 744388.
Comment 6 User image Daniel Veditz [:dveditz] 2012-05-08 11:36:35 PDT
(In reply to dindog from comment #3)
> (In reply to Tim Taubert [:ttaubert] from comment #1)
> > >  2)those who disables disk cache, and uses memory instead
> > 
> > No idea why people would do that but alas, there is a pref and a bunch of
> > add-ons seem to flip it *sigh*. That's bug 724408.
> 
> ...perhaps because we offer that pref? In privacy setting, user can clear
> cache at shutdown.

In rare cases that's not good enough (deleted files are recoverable), but I'm pretty sure the real reason we have that was for the embedding case (at one time including mobile) where we may not have the space for physical cache or where repeatedly writing to flash memory shortens the device life too much.

Note You need to log in before you can comment on or make changes to this bug.